Skip to main content
GET
/
kling
/
v1
/
videos
/
{action}
/
{task_id}
Query Task
curl --request GET \
  --url https://www.anyfast.ai/kling/v1/videos/{action}/{task_id} \
  --header 'Authorization: Bearer <token>'
{
  "code": "success",
  "message": "",
  "data": {
    "task_id": "860260753860210752",
    "action": "/kling/v1/videos/omni-video_POST",
    "status": "SUCCESS",
    "fail_reason": "<string>",
    "submit_time": 1773130665,
    "start_time": 1773130715,
    "finish_time": 1773130790,
    "progress": "100%",
    "data": {
      "code": 0,
      "message": "SUCCEED",
      "request_id": "7e91db5f-66d3-4df4-b7e5-c2ab89df1959",
      "data": {
        "created_at": 123,
        "task_id": "<string>",
        "task_status": "succeed",
        "updated_at": 123,
        "task_result": {
          "videos": [
            {
              "id": "860260754053148756",
              "url": "<string>",
              "duration": "5.041"
            }
          ]
        }
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

action
enum<string>
required

Task type matching the original creation endpoint.

Available options:
generations,
text2video,
image2video,
lip-sync,
kolors-virtual-try-on
Example:

"text2video"

task_id
string
required

Task ID returned from the create task endpoint.

Example:

"860260753860210752"

Response

Task status retrieved successfully

code
string

Response code

Example:

"success"

message
string

Response message

Example:

""

data
object